%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:        Dropbox extension for Caja
Name:           caja-dropbox
Version:        1.22.1
Release:        %mkrel 1
License:        GPLv3+ and CC-BY-ND
URL:            http://mate-desktop.org/
Group:          Graphical desktop/MATE
Source0:        http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
# Drop dropbox script and related files, dropbox package provides these already
Patch0:         caja-dropbox-mga_remove_dropbox_script.patch
BuildRequires:  pkgconfig(libcaja-extension) >= 1.22.0
BuildRequires:  mate-common >= 1.22.0
BuildRequires:  pkgconfig(glib-2.0) >= 2.50.0
BuildRequires:  pkgconfig(pygtk-2.0)
BuildRequires:  pkgconfig(pygobject-3.0)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  python3dist(docutils)

Requires:       caja >= 1.22.0
Requires:       dropbox
Obsoletes:      %{name} < 1.20.0-1

%description
Dropbox extension for Caja


%prep
%autosetup -p1

%build
#Patch0 needs this
NOCONFIGURE=1 ./autogen.sh
%configure2_5x --disable-static
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/caja/extensions-2.0/*.la

%files
%doc README AUTHORS
%license COPYING
%{_datadir}/caja/extensions/libcaja-dropbox.caja-extension
%{_libdir}/caja/extensions-2.0/lib%{name}.so


%changelog
* Fri May 10 2019 kekepower <kekepower> 1.22.1-1.mga7
+ Revision: 1397036
- Update to version 1.22.1

* Thu Mar 14 2019 kekepower <kekepower> 1.22.0-1.mga7.nonfree
+ Revision: 1376320
- Update to version 1.22.0

* Thu Sep 20 2018 umeabot <umeabot> 1.20.0-2.mga7.nonfree
+ Revision: 1277791
- Mageia 7 Mass Rebuild

* Thu Mar 08 2018 tarakbumba <tarakbumba> 1.20.0-1.mga7.nonfree
+ Revision: 1207462
- Update to 1.20.0 version
- Drop builtin dropbox script and desktop files
- Require dropbox package
- Updated to 1.20.0 version

* Tue Mar 14 2017 tarakbumba <tarakbumba> 1.18.0-1.mga6.nonfree
+ Revision: 1092611
- Update to 1.18.0 version
- Update to 1.17.0 version

* Tue Dec 13 2016 wally <wally> 1.16.0-1.mga6.tainted
+ Revision: 1074713
- new version 1.16.0

* Sat Apr 16 2016 tarakbumba <tarakbumba> 1.14.0-1.mga6.nonfree
+ Revision: 1003094
- Update to 1.14.0 version

* Sun Nov 08 2015 tarakbumba <tarakbumba> 1.12.0-1.mga6.nonfree
+ Revision: 898539
- Update to 1.12.0 version

* Wed Jun 24 2015 tarakbumba <tarakbumba> 1.10.0-1.mga6.nonfree
+ Revision: 842511
-Update to 1.10.0 version

* Wed Oct 15 2014 umeabot <umeabot> 1.8.0-3.mga5.nonfree
+ Revision: 748006
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.0-2.mga5.nonfree
+ Revision: 678290
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Aug 25 2014 tarakbumba <tarakbumba> 1.8.0-1.mga5.nonfree
+ Revision: 667343
- Update to 1.8.0 version

* Sun Mar 02 2014 tarakbumba <tarakbumba> 1.7.90-1.mga5.nonfree
+ Revision: 598500
- imported package caja-dropbox

